package ezc.model;

import java.util.ArrayList;
import java.util.Collection;
import java.util.Collections;
import java.util.Comparator;

public abstract class RicercaAnnunci
{
	public static Collection<Annuncio> cerca(Collection<Annuncio> annunci, Filtro filtro, Comparator<Annuncio> comparator)
	{
		ArrayList<Annuncio> result = new ArrayList<Annuncio>();
		for (Annuncio annuncio : annunci)
		{
			if (filtro.filtra(annuncio))
			{
				result.add(annuncio);
			}
		}
		Collections.sort(result, comparator);
		return result;
	}
}
